<div class="row">
  <div class="col-12 d-flex justify-content-center">

    <div class="col-sm-12 col-md-6 bg-light p-5 mt-4 mb-5 custom-box shadow-lg mb-5 bg-white rounded">
      <div class="custom-title pb-4">
        <span><strong>Nuevo destinatario</strong></span>
      </div>

      <form #formFilter="ngForm" [formGroup]="newAddressee" class="needs-validation" novalidate (submit)="submit(newAddressee)">
        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Nombre</label>
          <input type="text" formControlName="name" class="form-control"
            [ngClass]="{'is-valid': newAddressee.controls.name.valid, 'is-invalid': validFormat('name') }"
            placeholder="Ingrese nombre completo">
            <div class="invalid-feedback">
              <small> Su nombre no puede contener caracteres especiales ni numeros </small>
            </div>
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label has-validation">Rut</label>
          <input type="text" formControlName="rut" class="form-control" 
          [ngClass]="{'is-valid': newAddressee.controls.rut.valid}"
          [ngClass]="{'is-valid': newAddressee.controls.rut.valid, 'is-invalid': validFormat('rut') }"
          maxlength="12" (keyup)="formatCliente(newAddressee.controls.rut)"
          placeholder="sin puntos ni guion">
          <div class="invalid-feedback">
            <small> Rut invalido </small>
          </div>
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Correo</label>
          <input type="email" formControlName="email" class="form-control"
          [ngClass]="{'is-valid': newAddressee.controls.email.valid, 'is-invalid': validFormat('email') }"
            placeholder="nombre@correo.com">
            <div class="invalid-feedback">
              <small> Formato de correo incorrecto (nombre@correo.com)</small>
            </div>
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Telefono </label>
          <div class="input-group">
            <span class="input-group-text" id="inputGroupPrepend">+569</span>
            <input type="number" formControlName="phone" class="form-control"
            [ngClass]="{'is-valid': newAddressee.controls.phone.valid, 'is-invalid': validFormat('phone') }"
            placeholder="86379094">
            <div class="invalid-feedback">
              <small> Numero telefonico incorrecto debe contener 9 digitos y comenzar por 6, 7, 8 o 9</small>
            </div>
          </div>  
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Banco</label>
          <select class="form-select" [ngClass]="{'is-valid': newAddressee.controls.bank.valid}" formControlName="bank">
            <option disabled selected>Seleccione el banco del destinatario</option>
            <option *ngFor="let bank of banks" [value]="bank.name">{{ bank.name }}</option>
          </select>
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Tipo de cuenta</label>
          <select class="form-select" formControlName="accountType" [ngClass]="{'is-valid': newAddressee.controls.accountType.valid}">
            <option disabled selected>Seleccione el tipo de cuenta</option>
            <option [value]="type.name" *ngFor="let type of accountType">{{ type.name }}</option>
          </select>
        </div>

        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">N° de cuenta</label>
          <input type="number" class="form-control" formControlName="accountNumber"
           [ngClass]="{'is-valid': newAddressee.controls.accountNumber.valid, 'is-invalid': validFormat('accNumber') }">
           <div class="invalid-feedback">
            <small> El numero de cuenta debe estar entre 5 y 15 caracteres </small>
          </div>
        </div>

        <div class="d-grid gap-2 mt-4">
          <button class="btn btn-primary" type="submit" [disabled]="!newAddressee.valid">Guardar</button>
        </div>
      </form>
    </div>
  </div>
</div>